A special page to ease discovery of vandalism
Closed, ResolvedPublic


Author: znode

To speed the discovery of vandalism, a page that pumps out diffs at a high rate on a specific page
may be a good idea.

I quote from my post at http://en.wikipedia.org/wiki/Wikipedia:Village_pump_%28proposals%
29#Wikipedia_Special:Monitor :

It would be similar in structure to Slashdot's Meta Moderation (http://slashdot.org/metamod.pl)
system: a designated page, perhaps Special:Monitor, would pump out X number of recent diffs made
within the last Y days, on one single page, for the purpose of fast eyeballing.

This would cut out the "middleman" of Recentchanges for those on janitorial duty; only the refresh
button needs to be repeatedly abused in order to view massive amounts of diffs and scan for
vandalism at a very fast rate.

The number of diffs and timerange to pull from can be user customisable, or fixed at say, 10 diffs
per page, pulled from diffs made within the last 5 days. The choosing of whether a diff displays on
Monitor can be completely random, or completely random, but "viewed" diffs are never viewed again,
or use a probability system. For a more frequently edited/viewed article, the diffs of the article
will appear on Monitor more frequently an already viewed diff would have its probability of being
chosen for Monitor cut, to say, 1/1000th of the original probability.

Version: unspecified
Severity: enhancement
URL: http://en.wikipedia.org/wiki/Wikipedia:Village_pump_%28proposals%29#Wikipedia_Special:Monitor

bzimport set Reference to bz2411.
bzimport created this task.Via LegacyJun 14 2005, 4:47 PM
bzimport added a comment.Via ConduitJun 15 2005, 11:33 AM

the.r3m0t wrote:

Some more ideas:

  • Only show the latest edits on articles.
  • An edit is originally marked as "don't know" but can also be marked

as "revert", "vfd", "speedy", "keep" etc.

  • If "don't know" is *not* marked, the edit will never appear on the page again.
  • A button is pressed to take actions and get a new batch of diffs.
  • IP edits with blank summaries are the most suspicious. The character count +/- can also be


bzimport added a comment.Via ConduitJun 15 2005, 4:15 PM

znode wrote:

I wasn't really thinking about janitors marking the viewed articles, mainly
because it would be quite overheadish; but also because it takes much of the
janitor's time, since most edits are minor and legit; it also requires a write
to database for every diff viewed.

If VfD or rv could be integrated into Monitor, in a bullet-proof manner, and is
deemed feasible, I am all for it. However as I see it, besides the problem with
overhead, at the least rv integration would be hard to perfect (How many votes
rvs? IPs and sock puppets viewing Monitor?), and it would probably introduce

I don't think it would be safe to allow the Monitor page to have the power to rv
a page; but, VfD perhaps could possibly be well combined with Monitor. Enough
votes would automatically mark VfD and put article on VfD for manual voting.

Sadly, the same can't go for rv, it would be too slow, the VfRDueToMonitorMarks
page would be way too crowded. Letting Monitor rv directly would be giving too
much power to it.

bzimport added a comment.Via ConduitJun 16 2005, 6:09 AM

the.r3m0t wrote:

It could open up a new window.

It all depends on what you want to achieve. I thought of it as a more convenient
way of doing patrol: thus, it would get changes from (say) bteween 2 and 4
minutes ago. If the monitor people can cope with that then extend it *forwards*
so that people can inspect diffs made a second ago; then extend it backwards.

I trust people that it should actually revert themselves when they click it.
Remember that they know the article title; they can just go and revert it
themselves. Similarly with marking for speedy and vfd.

It would start with monitoring IP edits with blank summaries, then we could add
summaries, then users, then minor edits, and (if people can handle monitoring
all that!) that would be perfect: every edit except an admin's patrolled. :)

bzimport added a comment.Via ConduitJun 23 2005, 4:58 PM

the.r3m0t wrote:

I'm working on it. I have reached the stage shown in the soon-to-be-uploaded

I have recieved assurance from Tim Starling that such an extension (note, not
patch, extension) would be enabled on Wikimedia if {the code was of good
quality, it did not modify existing tables, etc, etc}.

It's called Special:Confirm.

Before I continue with this, I would like to hear from Brion Vibber about this.
I assume that's all the opinions I will need to get such a feature onto
Wikimedia projects.

I created an off-site version, but basically it wasn't very good to use, and
also constantly used my server resources parsing the IRC channel into a database.

A screenshot of it so far follows.

bzimport added a comment.Via ConduitJun 23 2005, 4:58 PM

the.r3m0t wrote:

Attempting to assign to me.

bzimport added a comment.Via ConduitJun 23 2005, 5:10 PM

the.r3m0t wrote:

The page so far

Since the off-site version is down, you can't see the actions bar of the left.

This is what it looks like so far. It supports checking edits (note: not page
creations) and does the rather basic filtering of not checking bot edits.

attachment SpecialConfirm2.png ignored as obsolete

brion added a comment.Via ConduitJun 23 2005, 6:27 PM

Note that to keep the bug tracking list happy, wikibugs-l *must* be in the CC list if you

bzimport added a comment.Via ConduitJun 23 2005, 7:44 PM

the.r3m0t wrote:

Further progress

New pages are now recognised. The user link goes to Special:Contributions for
that user. Images are automatically changed from [[Image:This.jpg]] to
[[:Image:This.jpg]] on display - i.e. they are linked to, not included. This
works for local and canonical namespace names. :)

attachment SpecialConfirm.png ignored as obsolete

bzimport added a comment.Via ConduitJun 25 2005, 9:21 PM

the.r3m0t wrote:

Actions column

It looks beautiful - it's the actions column!

"Edit stacking" is the next part and it's pretty difficult. :)


bzimport added a comment.Via ConduitNov 21 2006, 4:43 PM

robchur wrote:

Note the existence of the Patroller extension (see
http://www.mediawiki.org/wiki/Patroller) which provides functionality very
similar to that described above.

Add Comment